Skip to content

Gets all of the product inventories in the system.

Request

This method will scan all product inventories and and return them to the caller.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

exclusiveStartKeystring

The start key, if you're making a subsequent request

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/productInventories/{tenantId}?fields=string&exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The product inventorieswere retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
bin_idstring(Bin)

The optional bin in which the inventory is located

business_unit_idstring(Business Unit)required

The business unit of the product tied to this inventory

custom_field_valuesArray of objects(Custom Field Values)
expected_replenishment_datestring, (date)(Expected Replenishment Date)

The date in which this inventory is expected to be replenished

idstring(ID)^[\w-:]+$required

The unique, string identifier of this product inventory

notesstring(Notes)

Any important notes

product_idstring(Product)required

The ID of the product in this inventory

product_typestring(Product Type)required

The type of product

quantity_availableinteger(Quantity Available)required

The quantity of inventory available for purchase

quantity_backorderedinteger(Quantity Backordered)required

The quantity of inventory that has been backordered

quantity_committedinteger(Quantity Committed)required

The quantity of inventory committed

quantity_defectiveinteger(Quantity Defective)required

The quantity of inventory that is defective

quantity_on_handinteger(Quantity On Hand)required

The quantity of inventory on hand

quantity_on_orderinteger(Quantity On Order)required

The quantity of inventory on order

quantity_reservedinteger(Quantity Reserved)required

The quantity of inventory that has been reserved for use other than sale

reorder_pointinteger(Reorder Point)

The optional point at which this inventory should be replenished

skustring(Sku)

The product SKU, if this product has a SKU

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_product_type_idstring(Sys Product Type)

System property for indexing - do not use

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

warehouse_idstring(Warehouse)required

The warehouse in which this inventory is located

]
Response
[ { "bin_id": "string", "business_unit_id": "string", "custom_field_values": [ … ], "expected_replenishment_date": "2019-08-24", "id": "string", "notes": "string", "product_id": "string", "product_type": "string", "quantity_available": 0, "quantity_backordered": 0, "quantity_committed": 0, "quantity_defective": 0, "quantity_on_hand": 0, "quantity_on_order": 0, "quantity_reserved": 0, "reorder_point": 0, "sku": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_product_type_id": "string", "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "warehouse_id": "string" } ]